<script setup lang="ts">
import NumberButton from '@/components/NumberButton.vue';
import { ref } from 'vue';
function num1Click(num: number){
  console.log(`Num1 Click: ${num}`)
  num1.value = num
}
const num1 = ref(1)
</script>

<template>
  <div style="text-align: center;">
    <img style="width: 300px; border-radius:50%" src="../assets/me.jpg" alt="" />
    <h3 style="text-align: center">สวัสดีคับ ผม จิรัฏฐ์ครับ</h3>
    <!-- <NumberButton num="1"></NumberButton>
    <NumberButton num="2"></NumberButton>
    <NumberButton num="3"></NumberButton> -->
    {{ num1 }}<NumberButton :num="1" @numClick="num1Click"></NumberButton>
    <NumberButton :num="2"></NumberButton>
    <NumberButton :num="3" :inc="5"></NumberButton>
  </div>
</template>
